<!doctype html>
<html dir="$i18n{textdirection}" lang="$i18n{language}">
<head>
  <link rel="import" href="chrome://resources/html/polymer.html">
  <link rel="import" href="chrome://resources/html/i18n_behavior.html">
  <link rel="import" href="chrome://resources/cr_elements/cr_dialog/cr_dialog.html">
  <link rel="import" href="chrome://resources/cr_elements/icons.html">
  <link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
  <link rel="stylesheet" href="chrome://resources/css/text_defaults.css">
  <script src="chrome://resources/js/cr.js"></script>
  <script src="chrome://resources/js/cr/event_target.js"></script>
  <script src="chrome://resources/js/load_time_data.js"></script>
  <script src="chrome://resources/js/assert.js"></script>
  <script src="chrome://resources/js/util.js"></script>

  <script src="chrome://password-change/authenticator.js"></script>
  <script src="chrome://password-change/password_change.js"></script>
  <script src="chrome://password-change/strings.js"></script>

  <dom-module id="password-change">
    <template>
      <link rel="stylesheet" href="chrome://password-change/password_change.css">

      <cr-dialog id="dialog" exportparts="dialog">
        <div slot="title">
          [[i18n('hostedHeader')]]
          <cr-icon-button iron-icon="cr:close" on-click="onCloseTap_">
          </cr-icon-button>
        </div>

        <div slot="body">
          <webview id="signin-frame" name="signin-frame" allowscaling>
          </webview>
        </div>
      </cr-dialog>
    </template>
  </dom-module>
</head>

<body>
  <password-change id="main-element">
  </password-change>
</body>
</html>
